ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs
mstream.h File Reference

Memory streams. More...

`#include <ome/common/config.h>`
`#include <boost/iostreams/device/array.hpp>`
`#include <boost/iostreams/stream.hpp>`
Include dependency graph for mstream.h:

Go to the source code of this file.

## Namespaces
| ome::common
| OME compatibility functions and classes.

## Typedefs
typedef boost::iostreams::basic_array_source< char > | ome::common::mstream_source
| Character array stream source.
typedef boost::iostreams::stream< mstream_source > | ome::common::imstream
| Input memory stream.

## Detailed Description

Memory streams.

Similar to `ifstream`, this header defines imstream.